%define majver %(echo %version | cut -d. -f1-2)

Name:          kdoctools
Version:       5.9.0
Release:       2mamba
Summary:       Provides tools to generate documentation in various format from DocBook files
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/frameworks/%{majver}/kdoctools-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libkarchive-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: rpm-macros-kde5
BuildRequires: docbook-dtds
BuildRequires: docbook-xsl
BuildRequires: libki18n-devel
BuildRequires: libkarchive-devel
BuildRequires: gettext
BuildRequires: perl
BuildRequires: python
Requires:      docbook-dtds
Requires:      docbook-xsl
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Provides tools to generate documentation in various format from DocBook files.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang kdoctools5 --with-man --with-qt --all-name || touch kdoctools5.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f kdoctools5.lang
%defattr(-,root,root)
%{_kde5_bindir}/checkXML5
%{_kde5_bindir}/meinproc5
%{_datadir}/doc/HTML/*/kdoctools5-common
%{_kde5_datadir}/kf5/kdoctools
%{_mandir}/man1/checkXML5.*
%{_mandir}/man7/kf5options.*
%{_mandir}/man7/qt5options.*
%{_mandir}/man8/meinproc5.*
%doc COPYING.LIB LICENSE

%files devel
%defattr(-,root,root)
%{_kde5_includedir}/XsltKde
%{_kde5_libdir}/libKF5XsltKde.a
%{_kde5_libdir}/cmake/KF5DocTools

%changelog
* Sat Apr 25 2015 Davide Madrisan <davide.madrisan@gmail.com> 5.9.0-2mamba
- standardize the specfile
- add some missing build requirements
- add a devel package

* Wed Apr 15 2015 Automatic Build System <autodist@mambasoft.it> 5.9.0-1mamba
- automatic version update by autodist

* Sat Mar 21 2015 Automatic Build System <autodist@mambasoft.it> 5.8.0-1mamba
- automatic version update by autodist

* Mon Feb 23 2015 Automatic Build System <autodist@mambasoft.it> 5.7.0-1mamba
- automatic version update by autodist

* Sat Feb 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-2mamba
- patch to fix KDOCTOOLS_DATA_INSTALL_DIR (see also https://bugs.kde.org/show_bug.cgi?id=341714)

* Fri Feb 13 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-1mamba
- package created using the webbuild interface
